[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRasterImage.SetHandles

Sets handles for the bitmap and the mask to the specified values.

## Declaration

Source position: graphics.pp line 1325

`public procedure TRasterImage.SetHandles(`
`ABitmap: HBITMAP;`
`AMask: HBITMAP`
`); virtual; abstract;`

## Arguments

`ABitmap` |  | Handle to use for the Bitmap.
`AMask` |  | Handle to use for the Mask.

## Description

SetHandles is a procedure used to set the handles for the bitmap and the mask to the values specified in ABitmap and AMask. SetHandles is an abstract virtual method in TRasterImage, and must be implemented in a descendent class to store handle values in the shared image used in the image format.

## See also

TCustomBitmap.SetHandles |  | Sets handles for the bitmap and the mask to the specified values.
TCustomIcon.SetHandles |  | Not implemented in TCustomIcon.